httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rabea Husseis <rhuss...@yahoo.com>
Subject Re: Can't "make" apache_1.3.22
Date Mon, 22 Apr 2002 20:13:55 GMT
The error log got the blw error:
[Fri Apr 19 02:30:25 2002] [warn] pid file
/usr/local/apache/logs/httpd.pid overwritten --
Unclean shutdown of previous Apache run?
[Fri Apr 19 02:30:25 2002] [alert] (22)Invalid
argument: setgid: unable to set group id to Group
4294967295
[Fri Apr 19 02:30:25 2002] [alert] (22)Invalid
argument: setgid: unable to set group id to Group
4294967295
[Fri Apr 19 02:30:25 2002] [alert] (22)Invalid
argument: setgid: unable to set group id to Group
4294967295
[Fri Apr 19 02:30:25 2002] [alert] (22)Invalid
argument: setgid: unable to set group id to Group
4294967295
[Fri Apr 19 02:30:25 2002] [alert] (22)Invalid
argument: setgid: unable to set group id to Group
4294967295
[Fri Apr 19 02:30:25 2002] [notice] Apache/1.3.22
(Unix) configured -- resuming normal operations
[Fri Apr 19 02:30:25 2002] [notice] Accept mutex:
fcntl (Default: fcntl)
[Fri Apr 19 02:30:25 2002] [alert] Child 455 returned
a Fatal error... 
Apache is exiting!

Pls, ignore the date as it's not correct... Sorry I'm
asking alot :(

Thanx
Rabea


--- Lee Fellows <lfellows@4lane.com> wrote:
> Rabea,
> 
>   What does apache write to the error_log?  It may
> be a configuration
> issue, but the log should tell you what is stopping
> apache.
> 
> HTH
> 
> On Mon, 2002-04-22 at 15:44, Rabea Husseis wrote:
> > Hello Lee....
> > 
> > Installation went great.. didn't have any
> problem..
> > thanx.
> > now when I want to start apache:
> > # /usr/local/apache/bin/apachectl start
> > /usr/local/apache/bin/apachectl start: httpd
> started  
> >   
> > 
> > but still can't get the welcome page..
> configurations
> > correct. When I try to stop apache:
> > # /usr/local/apache/bin/apachectl stop
> > /usr/local/apache/bin/apachectl stop: httpd (pid
> 478?)
> > not running 
> > 
> > Can u pls, advise on that... it seems there's
> > something stopping apache immidiatly after
> starting
> > it.
> > 
> > Thanx in advance
> > 
> > Rabea
> > 
> > --- Lee Fellows <lfellows@4lane.com> wrote:
> > > 
> > > Rabea,
> > > 
> > >   To set your PATH in sh/ksh/bash shell do:
> > >     $> PATH=$PATH:/usr/local/bin:/usr/ccs/bin
> > >     $> export PATH.
> > > 
> > >   This will append /usr/local/bin and
> /usr/ccs/bin
> > > to your existing
> > >   PATH.  This will remain in effect until you
> exit
> > > that shell session.
> > > 
> > >   If you installed binutils after installing
> gcc,
> > > you may need to
> > >   re-install gcc.  This is if you got these from
> > > Sunfreeware and
> > >   may pertain anyway.  For the packages from
> > > Sunfreeware, gcc 3.0.3
> > >   needs to be installed after binutils because
> it
> > > overwrites some
> > >   of the bin utilities when it is installed.
> > > 
> > >   HTH
> > > 
> > > 
> > > On Mon, 2002-04-22 at 11:50, Rabea Husseis
> wrote:
> > > > Hello Lee....
> > > > 
> > > > Thanx for ur reply, I'm using:
> > > > gcc: 3.0.3
> > > > GNU binutils: yes, in /usr/local
> > > > PATH: /usr/sbin:/usr/bin
> > > > 
> > > > I think the problem is with my path, can u
> Pls,
> > > tell
> > > > me how to add other PATHs like /usr/local/bin
> and
> > > > /usr/ccs/bin
> > > > 
> > > > I'm very sure u have a good idea about my
> problem.
> > > > Thanx a million.
> > > > 
> > > > Rabea
> > > > 
> > > > --- Lee Fellows <lfellows@4lane.com> wrote:
> > > > > 
> > > > >   Couple of questions:
> > > > >     What version of gcc are you using?
> > > > > 
> > > > >     Do you have GNU's binutils installed?
> > > > > 
> > > > >     Finally, what is your PATH environment
> > > variable
> > > > > set to?
> > > > > 
> > > > > 
> > > > > On Sat, 2002-04-20 at 05:40, Rabea Husseis
> > > wrote:
> > > > > > Hello...
> > > > > > 
> > > > > > Appreciate ur help on the following
> problem.
> > > > > > 
> > > > > > I'm trying to install Apache_1.3.22 on
> Solaris
> > > 7
> > > > > (SUN
> > > > > > Sparc Server), I can "./configure" the
> > > binaries
> > > > > but
> > > > > > when I do "make" I receive error msg as
> blw:
> > > > > > 
> > > > > > # ./configure --prefix=/usr/local/apache
> > > > > > Configuring for Apache, Version 1.3.22
> > > > > >  + using installation path layout: Apache
> > > > > > (config.layout)
> > > > > >  + Warning: no Perl interpreter detected
> for
> > > > > support
> > > > > > scripts.
> > > > > >  + Perhaps you need to specify one with
> > > > > > --with-perl=FILE.
> > > > > > Creating Makefile
> > > > > > Creating Configuration.apaci in src
> > > > > > Creating Makefile in src
> > > > > >  + configured for Solaris 270 platform
> > > > > >  + setting C compiler to gcc
> > > > > >  + setting C pre-processor to gcc -E
> > > > > >  + checking for system header files
> > > > > >  + adding selected modules
> > > > > >  + using builtin Expat
> > > > > >  + checking sizeof various data types
> > > > > >  + doing sanity check on compiler and
> options
> > > > > > Creating Makefile in src/support
> > > > > > Creating Makefile in src/os/unix
> > > > > > Creating Makefile in src/ap
> > > > > > Creating Makefile in src/main
> > > > > > Creating Makefile in src/lib/expat-lite
> > > > > > Creating Makefile in src/modules/standard 
>    
> > >    
> > > > >    
> > > > > > 
> > > > > > # make
> > > > > > ===> src
> > > > > > ===> src/os/unix
> > > > > > gcc -c  -I../../os/unix -I../../include  
> > > > > > -DSOLARIS2=270 -DUSE_EXPAT -I../../lib
> > > > > > /expat-lite -DNO_DL_NEEDED `../../apaci`
> os.c
> > > > > > gcc -c  -I../../os/unix -I../../include  
> > > > > > -DSOLARIS2=270 -DUSE_EXPAT -I../../lib
> > > > > > /expat-lite -DNO_DL_NEEDED `../../apaci`
> > > > > os-inline.c
> > > > > > rm -f libos.a
> > > > > > ar cr libos.a os.o os-inline.o
> > > > > > ranlib libos.a
> > > > > > <=== src/os/unix
> > > > > > ===> src/ap
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_cpystrn.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_execve.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_fnmatch.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_getpass.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_md5c.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_signal.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_slack.c
> > > > > > gcc -c  -I../os/unix -I../include  
> > > -DSOLARIS2=270
> > > > > > -DUSE_EXPAT -I../lib/expat-li
> > > > > > te -DNO_DL_NEEDED `../apaci` ap_snprintf.c
> > > > > > as: "/var/tmp/ccOGla8E.s", line 3318:
> error:
> 
=== message truncated ===


__________________________________________________
Do You Yahoo!?
Yahoo! Games - play chess, backgammon, pool and more
http://games.yahoo.com/

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message